## groovy.util
Class MapEntry

    java.lang.Object
      groovy.util.MapEntry

All Implemented Interfaces:
  Map.Entry

    public class MapEntry

extends Object
implements Map.Entry

A Map.Entry implementation.

Version:
  $Revision: 16850 $
Author:
  James Strachan

Constructor Summary
`MapEntry(Object key, Object value)`

Method Summary
`boolean` `equals(MapEntry that)`
`boolean` `equals(Object that)`
`Object` `getKey()`
`Object` `getValue()`
`protected int` `hash(Object object)` Helper method to handle object hashes for possibly null values
`int` `hashCode()`
`void` `setKey(Object key)`
`Object` `setValue(Object value)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MapEntry

    public MapEntry(Object key,
                    Object value)

Method Detail

### equals

    public boolean equals(Object that)

  Specified by:
    `equals` in interface `Map.Entry`
  Overrides:
    `equals` in class `Object`

### equals

    public boolean equals(MapEntry that)

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map.Entry`
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getKey

    public Object getKey()

  Specified by:
    `getKey` in interface `Map.Entry`

### setKey

    public void setKey(Object key)

### getValue

    public Object getValue()

  Specified by:
    `getValue` in interface `Map.Entry`

### setValue

    public Object setValue(Object value)

  Specified by:
    `setValue` in interface `Map.Entry`

### hash

    protected int hash(Object object)

  Helper method to handle object hashes for possibly null values

Copyright © 2003-2009 The Codehaus. All rights reserved.